Subject: [Bier] I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt

From: [email-masked]
Date: Mon, 04 Oct 2021 19:31:16 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Bit Indexed Explicit Replication WG of the IETF.

        Title           : Path Maximum Transmission Unit Discovery (PMTUD) for Bit Index Explicit Replication (BIER) Layer
        Authors         : Greg Mirsky
                          Tony Przygienda
                          Andrew Dolganow
	Filename        : draft-ietf-bier-path-mtu-discovery-11.txt
	Pages           : 8
	Date            : 2021-10-04

Abstract:
   This document describes Path Maximum Transmission Unit Discovery
   (PMTUD) in Bit Indexed Explicit Replication (BIER) layer.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bier-path-mtu-discovery/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-bier-path-mtu-discovery-11.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-bier-path-mtu-discovery-11

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Greg Mirsky <[email-masked]>
Date: Mon, 4 Oct 2021 19:33:34 -0700

Dear All,
technical refresh. We are ready for the Shepherd review and comments.

Regards,
Greg

---------- Forwarded message ---------
From: <[email-masked]>
Date: Mon, Oct 4, 2021 at 7:31 PM
Subject: [Bier] I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt
To: <[email-masked]>
Cc: <[email-masked]>

A New Internet-Draft is available from the on-line Internet-Drafts
directories.
This draft is a work item of the Bit Indexed Explicit Replication WG of the
IETF.

        Title           : Path Maximum Transmission Unit Discovery (PMTUD)
for Bit Index Explicit Replication (BIER) Layer
        Authors         : Greg Mirsky
                          Tony Przygienda
                          Andrew Dolganow
        Filename        : draft-ietf-bier-path-mtu-discovery-11.txt
        Pages           : 8
        Date            : 2021-10-04

Abstract:

_______________________________________________
BIER mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bier

---

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Tue, 5 Oct 2021 12:41:26 +0000

Ok will go through it this week

Thanks
Hooman

From: BIER <[email-masked]> On Behalf Of Greg Mirsky
Sent: Monday, October 4, 2021 10:34 PM
To: BIER WG <[email-masked]>; BIER WG Chairs <[email-masked]>
Subject: [Bier] Fwd: I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt

Dear All,

Regards,
Greg
---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Mon, Oct 4, 2021 at 7:31 PM
Subject: [Bier] I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt
To: <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>>

Abstract:

_______________________________________________
BIER mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bier

---

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Sat, 9 Oct 2021 16:53:40 +0000

Greg

I don’t see any of my suggestion incorporated in the new version 11, is there a reason or did you miss my email on sep-25 attached and copy paste below?

From: BIER [email-masked]<mailto:[email-masked]> On Behalf Of Bidgoli, Hooman (Nokia - CA/Ottawa)
Sent: Saturday, September 25, 2021 4:46 PM
To: [email-masked]<mailto:[email-masked]>; BIER WG [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [Bier] Shephard of draft-ietf-bier-path-mtu-discovery

Hi Authors

My comments in the link below, before writing the shepherd doc please address these comments.

https://drive.google.com/drive/folders/1acW5U6Yx5RS6cvhCLneyckmsRomTA3DO?usp=sharing

Regards
Hooman

Regards
Hooman

Dear All,

Regards,
Greg
---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Mon, Oct 4, 2021 at 7:31 PM
Subject: [Bier] I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt
To: <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>>

Abstract:

Subject: [Bier] Shephard of draft-ietf-bier-path-mtu-discovery
From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
To: "[email-masked]" <[email-masked]>, BIER WG <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sat, 25 Sep 2021 20:46:21 +0000
List-Id: "\"Bit Indexed Explicit Replication discussion list\"" <bier.ietf.org>

Hi Authors

My comments in the link below, before writing the shepherd doc please address these comments.

https://drive.google.com/drive/folders/1acW5U6Yx5RS6cvhCLneyckmsRomTA3DO?usp=sharing

Regards

Hooman

---

From: Greg Mirsky <[email-masked]>
Date: Sat, 9 Oct 2021 18:54:55 -0700

Hi Hooman,
I am so sorry for missing your earlier email. Many thanks for your review
and helpful suggestions. Attached, please find the copy with my answers to
your questions, the updated version of the draft, and the diff. Please let
me know if you have any further questions, suggestions to improve it.

Regards,
Greg

On Sat, Oct 9, 2021 at 9:53 AM Bidgoli, Hooman (Nokia - CA/Ottawa) <
[email-masked]> wrote:

> Greg
>
>
>
> I don’t see any of my suggestion incorporated in the new version 11, is
> there a reason or did you miss my email on sep-25 attached and copy paste
> below?
>
>
>
> *From:* BIER [email-masked] *On Behalf Of * Bidgoli, Hooman (Nokia
> - CA/Ottawa)
> *Sent:* Saturday, September 25, 2021 4:46 PM
> *To:* [email-masked]; BIER WG [email-masked];
> [email-masked]
> *Cc:* [email-masked]
> *Subject:* [Bier] Shephard of draft-ietf-bier-path-mtu-discovery
>
>
>
> Hi Authors
>
>
>
> *From:* BIER <[email-masked]> *On Behalf Of *Greg Mirsky
> *Sent:* Monday, October 4, 2021 10:34 PM
> *To:* BIER WG <[email-masked]>; BIER WG Chairs <[email-masked]>
> *Subject:* [Bier] Fwd: I-D Action:
> draft-ietf-bier-path-mtu-discovery-11.txt
>
>
>
> Dear All,
>

---

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Sat, 16 Oct 2021 23:11:18 +0000

HI Greg

By the way

“IANA is requested to assign a new Type value for Data TLV Type from
   its registry of TLV and sub-TLV Types of BIER Ping “

I am guessing there will be a new section added for BIER Ping in Bit Index Explicit Replication (BIER) (iana.org)<https://www.iana.org/assignments/bier/bier.xhtml#bier-algorithm>?

Since right now I am not seeing any of the BIER TLVs/Sub TLVs in IANA

Thanks
Hooman

From: Greg Mirsky <[email-masked]>
Sent: Saturday, October 9, 2021 9:55 PM
To: Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]>
Cc: BIER WG <[email-masked]>; BIER WG Chairs <[email-masked]>; [email-masked]
Subject: Re: [Bier] Fwd: I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt

Hi Hooman,
I am so sorry for missing your earlier email. Many thanks for your review and helpful suggestions. Attached, please find the copy with my answers to your questions, the updated version of the draft, and the diff. Please let me know if you have any further questions, suggestions to improve it.

Regards,
Greg

On Sat, Oct 9, 2021 at 9:53 AM Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]<mailto:[email-masked]>> wrote:
Greg

Hi Authors

Regards
Hooman

Regards
Hooman

From: BIER <[email-masked]<mailto:[email-masked]>> On Behalf Of Greg Mirsky
Sent: Monday, October 4, 2021 10:34 PM
To: BIER WG <[email-masked]<mailto:[email-masked]>>; BIER WG Chairs <[email-masked]<mailto:[email-masked]>>
Subject: [Bier] Fwd: I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt

Dear All,

Regards,
Greg
---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Mon, Oct 4, 2021 at 7:31 PM
Subject: [Bier] I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt
To: <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>>

Abstract:

---

From: "Bidgoli, Hooman (Nokia - CA/Ottawa)" <[email-masked]>
Date: Sat, 16 Oct 2021 23:29:54 +0000

Shepherds Review of: draft-ietf-bier-path-mtu-discovery

(1) What type of RFC is being requested (BCP, Proposed Standard, Internet Standard, Informational, Experimental, or Historic)? Why is this the proper type of RFC? Is this type of RFC indicated in the title page header?
[This is a Proposed Standards track RFC.  It is indicated in the title page.  This is the correct type of RFC for the content of this RFC.]

(2) The IESG approval announcement includes a Document Announcement Write-Up. Please provide such a Document Announcement Write-Up. Recent examples can be found in the "Action" announcements for approved documents. The approval announcement contains the following sections:
Technical Summary:
[This document specifies procedure for path MTU discovery (PMTUD) in a BIER domain. The BFIR can use these procedures to find path MTU to a set of BFERs. This document uses BIER Ping to perform efficient PMTUD in the BIER Domain.]

Working Group Summary:
Was there anything in WG process that is worth noting? For example, was there controversy about particular points or were there decisions where the consensus was particularly rough?
[No.  There was good discussion around the draft both during the WG meetings as well as on the mailing list.]

Document Quality:
Are there existing implementations of the protocol? Have a significant number of vendors indicated their plan to implement the specification? Are there any reviewers that merit special mention as having done a thorough review, e.g., one that resulted in important changes or a conclusion that the document had no substantive issues? If there was a MIB Doctor, YANG Doctor, Media Type or other expert review, what was its course (briefly)? In the case of a Media Type review, on what date was the request posted?
[The document describes Path MTU discovery for a BIER network via existing drafts and RFCs.  As such, it does not introduce a new protocol.  There were no YANG doctors, MIB doctor, Media Type of other expert reviews required.  ]

Personnel:
Who is the Document Shepherd?
[Hooman Bidgoli]
Who is the Responsible Area Director?
[Alvaro Retana]
(3) Briefly describe the review of this document that was performed by the Document Shepherd. If this version of the document is not ready for publication, please explain why the document is being forwarded to the IESG.
[ This version of the document is ready to be forwarded to the IESG. Shepherds comments were addressed by the authors.]

(4) Does the document Shepherd have any concerns about the depth or breadth of the reviews that have been performed?
[No concerns.  The document has had a fair bit of discussion]

(5) Do portions of the document need review from a particular or from broader perspective, e.g., security, operational complexity, AAA, DNS, DHCP, XML, or internationalization? If so, describe the review that took place.
[NO]
(6) Describe any specific concerns or issues that the Document Shepherd has with this document that the Responsible Area Director and/or the IESG should be aware of? For example, perhaps he or she is uncomfortable with certain parts of the document, or has concerns whether there really is a need for it. In any event, if the WG has discussed those issues and has indicated that it still wishes to advance the document, detail those concerns here.

[ IANA considerations:   Assign a new Type Value for data TLV Type from its registry of TLV and sub-TLV types of BIER Ping”]

(7) Has each author confirmed that any and all appropriate IPR disclosures required for full conformance with the provisions of BCP 78 and BCP 79 have already been filed. If not, explain why?
[  Yes   ]

(8) Has an IPR disclosure been filed that references this document? If so, summarize any WG discussion and conclusion regarding the IPR disclosures.

[  No   ]

(9) How solid is the WG consensus behind this document? Does it represent the strong concurrence of a few individuals, with others being silent, or does the WG as a whole understand and agree with it?
[  It has authors from multiple vendors]

(10) Has anyone threatened an appeal or otherwise indicated extreme discontent? If so, please summarise the areas of conflict in separate email messages to the Responsible Area Director. (It should be in a separate email because this questionnaire is publicly available.)
[  NO   ]

(11) Identify any ID nits the Document Shepherd has found in this document. (See http://www.ietf.org/tools/idnits/ and the Internet-Drafts Checklist). Boilerplate checks are not enough; this check needs to be thorough.
[  Non identified   ]

(12) Describe how the document meets any required formal review criteria, such as the MIB Doctor, YANG Doctor, media type, and URI type reviews.
[  Not required  ]

(13) Have all references within this document been identified as either normative or informative?
[  YES  ]

(14) Are there normative references to documents that are not ready for advancement or are otherwise in an unclear state? If such normative references exist, what is the plan for their completion?
[  NO   ]

(15) Are there downward normative references references (see RFC 3967)? If so, list these downward references to support the Area Director in the Last Call procedure.
[  NO   ]

(16) Will publication of this document change the status of any existing RFCs? Are those RFCs listed on the title page header, listed in the abstract, and discussed in the introduction? If the RFCs are not listed in the Abstract and Introduction, explain why, and point to the part of the document where the relationship of this document to the other RFCs is discussed. If this information is not in the document, explain why the WG considers it unnecessary.
[  NO   ]

(17) Describe the Document Shepherd's review of the IANA considerations section, especially with regard to its consistency with the body of the document. Confirm that all protocol extensions that the document makes are associated with the appropriate reservations in IANA registries. Confirm that any referenced IANA registries have been clearly identified. Confirm that newly created IANA registries include a detailed specification of the initial contents for the registry, that allocations procedures for future registrations are defined, and a reasonable name for the new registry has been suggested (see RFC 8126)
[  IANA considerations section does require to assign a new type value for Data TLV Type from its registry of TLV and sub-TLV types of BIER Ping].
(18) List any new IANA registries that require Expert Review for future allocations. Provide any public guidance that the IESG would find useful in selecting the IANA Experts for these new registries.
[  NONE  ]
(19) Describe reviews and automated checks performed by the Document Shepherd to validate sections of the document written in a formal language, such as XML code, BNF rules, MIB definitions, YANG modules, etc.
[  NONE   ]
(20) If the document contains a YANG module, has the module been checked with any of the recommended validation tools (https://trac.ietf.org/trac/ops/wiki/yang-review-tools) for syntax and formatting validation? If there are any resulting errors or warnings, what is the justification for not fixing them at this time? Does the YANG module comply with the Network Management Datastore Architecture (NMDA) as specified in RFC8342?
[  No YANG module ]

Hi Hooman,

Regards,
Greg

Hi Authors

Regards
Hooman

Regards
Hooman

Dear All,

Regards,
Greg
---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Mon, Oct 4, 2021 at 7:31 PM
Subject: [Bier] I-D Action: draft-ietf-bier-path-mtu-discovery-11.txt
To: <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>>

Abstract:

---

From: Greg Mirsky <[email-masked]>
Date: Sun, 17 Oct 2021 17:11:48 -0700

Hi Hooman,
thank you for pointing this dependency out. Our intention was to use the
BIER Echo Request/Reply TLV and sub-TLV registry that is requested in
Section 5.3 of draft-ietf-bier-ping
<https://www.ietf.org/archive/id/draft-ietf-bier-ping-07.txt>. I'll reach
out to my co-authors of this draft to re-start our work and get it ready
for WGLC.

Regards,
Greg

On Sat, Oct 16, 2021 at 4:11 PM Bidgoli, Hooman (Nokia - CA/Ottawa) <
[email-masked]> wrote:

> I am guessing there will be a new section added for BIER Ping in Bit
> Index Explicit Replication (BIER) (iana.org)
> <https://www.iana.org/assignments/bier/bier.xhtml#bier-algorithm>?
>
>
>
> *From:* Greg Mirsky <[email-masked]>
> *Sent:* Saturday, October 9, 2021 9:55 PM
> *To:* Bidgoli, Hooman (Nokia - CA/Ottawa) <[email-masked]>
> *Cc:* BIER WG <[email-masked]>; BIER WG Chairs <[email-masked]>;
> [email-masked]
> *Subject:* Re: [Bier] Fwd: I-D Action:
> *From:* BIER [email-masked] * On Behalf Of *Bidgoli, Hooman (Nokia
> - CA/Ottawa)